/***************************************************************************
                          klineedit.cpp  -  description
                             -------------------
    begin                : Wed Jun 21 2000
    copyright            : (C) 2000 by sva
    email                : svanpo@cybercable.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "klineedit.h"
#include <qpainter.h>

// QWidget
// QlineEdit
// QPalette
// paintEvent
// QFrame

KLineEdit::KLineEdit(QWidget *parent, const char *name ) : QLineEdit(parent,name)
{
	setBackgroundColor(palette().normal().background());
}

KLineEdit::~KLineEdit()
{
}

void KLineEdit::paintEvent(QPaintEvent *iEvent)
{
	QPainter	lPainter(this);

	lPainter.setPen(palette().normal().background());
	lPainter.setBrush(palette().normal().background());
	lPainter.drawRect(0,0,width(), height());

	lPainter.setPen(palette().normal().dark());
	lPainter.moveTo(0,height()-1);
	lPainter.lineTo(0,0);
	lPainter.lineTo(width()-1,0);

	lPainter.setPen(palette().normal().light());
	lPainter.moveTo(width()-1,0);
	lPainter.lineTo(width()-1,height()-1);
	lPainter.lineTo(0,height()-1);

	lPainter.setPen(palette().normal().text());
	lPainter.drawText(1, 1,width()-2,height()-2, AlignRight|AlignVCenter, text());
}
