/***************************************************************************
                          klistboxitem.cpp  -  description
                             -------------------
    begin                : Thu Jul 27 2000
    copyright            : (C) 2000 by sva
    email                : svanpo@cybercable.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          klistboxitem.cpp  -  description
                             -------------------
    begin                : Sun Apr 23 2000
    copyright            : (C) 2000 by sva
    email                : svanpo@cybercable.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdio.h>
#include "klistbox.h"
#include "klistboxitem.h"

KListBoxItem::KListBoxItem(KListBox *parent) : QListViewItem(parent)
{
	cParent = parent;
	setData(NULL);
}

KListBoxItem::~KListBoxItem()
{
}

void KListBoxItem::paintCell(QPainter *p, const QColorGroup & cg, int column, int width, int alignment)
{
	if (( (itemPos()/height()) %2)==0)
	{   // Pair lines
		// Draw the background rect
		p->setBrush(((KListBox *)cParent)->getAlternatedColor1());
		p->setPen(((KListBox *)cParent)->getAlternatedColor1());
		p->drawRect(0, 0, width, height());
	}
	else
	{	// Odd Lines
		// Draw the background rect
		p->setBrush(((KListBox *)cParent)->getAlternatedColor2());
		p->setPen(((KListBox *)cParent)->getAlternatedColor2());
		p->drawRect(0, 0, width, height());
	}

	// Draw the right line the the column
	p->setPen(black);
	p->drawRect(width-1, 0, width-1, height());

	// Draw the text
	p->setPen(black);
	p->drawText(0, 0, width-1, height(), alignment, text(column));
}

void KListBoxItem::setData(void *iData)
{
	cData = iData;
}

void *KListBoxItem::getData(void)
{
	return(cData);
}
