/***************************************************************************
                          klistbox.h  -  description
                             -------------------
    begin                : Thu Jul 27 2000
    copyright            : (C) 2000 by sva
    email                : svanpo@cybercable.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          klistbox.h  -  description
                             -------------------
    begin                : Sun Apr 23 2000
    copyright            : (C) 2000 by sva
    email                : svanpo@cybercable.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KLISTBOX_H
#define KLISTBOX_H

#include <qwidget.h>
#include <qlistview.h>
#include "klistboxitem.h"

/**
  *@author sva
  */

class KListBox : public QListView
{
   	Q_OBJECT

	public:
		KListBox(QWidget *parent=0, const char *name=0);
		~KListBox();

	  	void setColumns(char *iColumns);
	  	void setSizes(char *iSizes);
  		void setSeparator(char iSeparator);
		void setAlignments(char *iAlignments);
  		KListBoxItem *insert(char *iLine);
  		void setAlternatedColor1(QColor iColor);
  		void setAlternatedColor2(QColor iColor);
  		QColor getAlternatedColor1(void);
  		QColor getAlternatedColor2(void);

	protected: // Protected attributes
  		char 	cSeparator;
		QColor	cAlternatedColor1;
		QColor	cAlternatedColor2;
};

#endif
